PATCH /apiratelimitprofile/{uuid}
/apiratelimitprofile/{uuid}/{uuid}
UUID of the object to fetch
object name
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
ApiRateLimitProfile object creation
Show optional properties
{
"name": "string"
}
{
"_last_modified": "string",
"description": "string",
"enabled": false,
"name": "string",
"rate_limit_configuration_refs": [
"string"
],
"tenant_ref": "string",
"url": "string",
"uuid": "string"
}
OK
{
"_last_modified": "string",
"description": "string",
"enabled": false,
"name": "string",
"rate_limit_configuration_refs": [
"string"
],
"tenant_ref": "string",
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
Description for the Api Rate Limit Profile. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Activate/Deactivate the Api Rate Limit Profile. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Name of the Api Rate Limit Profile. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
List of the Rate Limiter configuration UUIDs. It is a reference to an object of type RateLimitConfiguration. Field introduced in 31.2.1. Minimum of 1 items required. Maximum of 100 items allowed. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Tenant ref for the Api Rate Limit Profile. It is a reference to an object of type Tenant. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
url
UUID of the Api Rate Limit Profile. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
log in failed
object not found
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}'